View Issue Details

IDProjectCategoryView StatusLast Update
0003961unrealinstallingpublic2010-10-27 22:34
Reportertherock247ukAssigned Toohnobinki 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSwindowsOS Versionrtm
Product Version3.2.9-RC1 
Target VersionFixed in Version3.2.9-RC1 
Summary0003961: doesent compile under vs 2008 anymore?
DescriptionSetting environment for using Microsoft Visual Studio 2010 x86 tools.

D:\Program Files (x86)\Microsoft Visual Studio 10.0\VC>cd C:\Users\therock247uk\
Desktop\Unr3.2-20100920\Unreal3.2

D:\Program Files (x86)\Microsoft Visual Studio 10.0\VC>c:

C:\Users\therock247uk\Desktop\Unr3.2-20100920\Unreal3.2>nmake -f makefile.win32

Microsoft (R) Program Maintenance Utility Version 10.00.30319.01
Copyright (C) Microsoft Corporation. All rights reserved.

        cl src/win32/config.c
Microsoft (R) 32-bit C/C++ Optimizing Compiler Version 16.00.30319.01 for 80x86
Copyright (C) Microsoft Corporation. All rights reserved.

config.c
Microsoft (R) Incremental Linker Version 10.00.30319.01
Copyright (C) Microsoft Corporation. All rights reserved.

/out:config.exe
config.obj
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/version.c
version.c
        rc /l 0x409 /fosrc/win32/win32.res /i ./include /i ./src /d NDEBUG src/
win32/win32gui.rc
Microsoft (R) Windows (R) Resource Compiler Version 6.1.7600.16385
Copyright (C) Microsoft Corporation. All rights reserved.

        link kernel32.lib user32.lib gdi32.lib shell32.lib ws2_32.lib advapi32.l
ib dbghelp.lib oldnames.lib comctl32.lib comdlg32.lib /def:wircd.def /im
plib:wircd.lib /nologo /debug /out:WIRCD.EXE SRC/CHANNEL.OBJ SRC/SEND.OBJ SRC/S
OCKET.OBJ SRC/S_CONF.OBJ SRC/FDLIST.OBJ SRC/DBUF.OBJ SRC/CLOAK.OBJ SRC/HASH.O
BJ SRC/PARSE.OBJ SRC/IRCD.OBJ SRC/S_NUMERIC.OBJ SRC/WHOWAS.OBJ SRC/S_AUTH.OBJ
 SRC/HELP.OBJ SRC/S_MISC.OBJ SRC/MATCH.OBJ SRC/CRULE.OBJ SRC/S_DEBUG.OBJ SRC/S
UPPORT.OBJ SRC/LIST.OBJ SRC/S_ERR.OBJ SRC/PACKET.OBJ SRC/S_BSD.OBJ SRC/S_SERV.
OBJ SRC/S_USER.OBJ SRC/CHARSYS.OBJ SRC/VERSION.OBJ SRC/S_KLINE.OBJ SRC/S_EXTRA.
OBJ SRC/IRCSPRINTF.OBJ SRC/LUSERS.OBJ SRC/SCACHE.OBJ SRC/ALN.OBJ SRC/RES.OBJ SR
C/MODULES.OBJ SRC/S_SVS.OBJ SRC/EVENTS.OBJ SRC/UMODES.OBJ SRC/AUTH.OBJ SRC/CIDR
.OBJ SRC/SSL.OBJ SRC/RANDOM.OBJ SRC/EXTCMODES.OBJ SRC/MD5.OBJ SRC/API-ISUPPORT.
OBJ SRC/API-COMMAND.OBJ SRC/EXTBANS.OBJ SRC/TIMESYNCH.OBJ SRC/GUI.OBJ SRC/SER
VICE.OBJ SRC/DEBUG.OBJ SRC/RTF.OBJ SRC/EDITOR.OBJ SRC/WIN32.OBJ SRC/win32/WIN32
.RES SRC/WIN32/TRE.LIB SRC/WIN32/ARESLIB.LIB /MAP
   Creating library wircd.lib and object wircd.exp
LINK : warning LNK4098: defaultlib 'LIBCMTD' conflicts with use of other libs; u
se /NODEFAULTLIB:library
        mt -manifest WIRCD.EXE.manifest -outputresource:WIRCD.EXE;1
Microsoft (R) Manifest Tool version 5.2.3790.2076
Copyright (c) Microsoft Corporation 2005.
All rights reserved.
Standard version built
        cl /LDd /MD /Zi /nologo /Fosrc/modules/ /I ./INCLUDE /D NOSPOOF
/D MODULE_COMPILE /D _CRT_SECURE_NO_DEPRECATE /D _USE_32BIT_TIME_T SRC/MODULES/
L_COMMANDS.C SRC/MODULES/M_CHGHOST.C SRC/MODULES/M_SDESC.C SRC/MODULES/M_SETIDE
NT.C SRC/MODULES/M_SETNAME.C SRC/MODULES/M_SETHOST.C SRC/MODULES/M_CHGIDENT.C S
RC/MODULES/M_SVSMOTD.C SRC/MODULES/M_SVSNLINE.C SRC/MODULES/M_WHO.C SRC/MODULES
/M_SWHOIS.C SRC/MODULES/M_SVSMODE.C SRC/MODULES/M_AWAY.C SRC/MODULES/M_SVSNOOP.
C SRC/MODULES/M_MKPASSWD.C SRC/MODULES/M_SVSO.C SRC/MODULES/M_SVSNICK.C SRC/MOD
ULES/M_ADMINCHAT.C SRC/MODULES/M_AKILL.C SRC/MODULES/M_CHGNAME.C SRC/MODULES/M_
GUEST.C SRC/MODULES/M_HTM.C SRC/MODULES/M_LAG.C SRC/MODULES/M_MESSAGE.C SRC/MOD
ULES/WEBTV.C SRC/MODULES/M_NACHAT.C SRC/MODULES/M_OPER.C SRC/MODULES/M_PINGPONG
.C SRC/MODULES/M_QUIT.C SRC/MODULES/M_RAKILL.C SRC/MODULES/M_RPING.C SRC/MODULE
S/M_SENDUMODE.C SRC/MODULES/M_SQLINE.C SRC/MODULES/M_KILL.C SRC/MODULES/M_TSCTL
.C SRC/MODULES/M_UNKLINE.C SRC/MODULES/M_UNSQLINE.C SRC/MODULES/M_UNZLINE.C SRC
/MODULES/M_WHOIS.C SRC/MODULES/M_TKL.C SRC/MODULES/M_VHOST.C SRC/MODULES/M_CYCL
E.C SRC/MODULES/M_SVSJOIN.C SRC/MODULES/M_SVSPART.C SRC/MODULES/M_SVSLUSERS.C S
RC/MODULES/M_SVSWATCH.C SRC/MODULES/M_SVSSILENCE.C SRC/MODULES/M_SENDSNO.C SRC/
MODULES/M_SVSSNO.C SRC/MODULES/M_SAJOIN.C SRC/MODULES/M_SAPART.C SRC/MODULES/M_
SAMODE.C SRC/MODULES/M_KICK.C SRC/MODULES/M_TOPIC.C SRC/MODULES/M_INVITE.C SRC/
MODULES/M_LIST.C SRC/MODULES/M_TIME.C SRC/MODULES/M_SVSKILL.C SRC/MODULES/M_KNO
CK.C SRC/MODULES/M_UMODE2.C SRC/MODULES/M_SQUIT.C SRC/MODULES/M_PROTOCTL.C SRC/
MODULES/M_SJOIN.C SRC/MODULES/M_PASS.C SRC/MODULES/M_USERHOST.C SRC/MODULES/M_I
SON.C SRC/MODULES/M_SILENCE.C SRC/MODULES/M_ADDLINE.C SRC/MODULES/M_ADDMOTD.C S
RC/MODULES/M_ADDOMOTD.C SRC/MODULES/M_WALLOPS.C SRC/MODULES/M_GLOBOPS.C SRC/MOD
ULES/M_LOCOPS.C SRC/MODULES/M_CHATOPS.C SRC/MODULES/M_ADMIN.C SRC/MODULES/M_TRA
CE.C SRC/MODULES/M_NETINFO.C SRC/MODULES/M_LINKS.C SRC/MODULES/M_HELP.C SRC/MO
DULES/M_RULES.C SRC/MODULES/M_CLOSE.C SRC/MODULES/M_MAP.C SRC/MODULES/M_EOS.C S
RC/MODULES/M_SERVER.C SRC/MODULES/M_STATS.C SRC/MODULES/M_SVSFLINE.C SRC/MODULE
S/M_DCCDENY.C SRC/MODULES/M_UNDCCDENY.C SRC/MODULES/M_WHOWAS.C SRC/MODULES/M_CO
NNECT.C SRC/MODULES/M_DCCALLOW.C SRC/MODULES/M_USERIP.C SRC/MODULES/M_NICK.C SR
C/MODULES/M_USER.C SRC/MODULES/M_MODE.C SRC/MODULES/M_WATCH.C SRC/MODULES/M_PAR
T.C SRC/MODULES/M_JOIN.C SRC/MODULES/M_MOTD.C SRC/MODULES/M_OPERMOTD.C SRC/MODU
LES/M_BOTMOTD.C SRC/MODULES/M_LUSERS.C SRC/MODULES/M_NAMES.C SRC/MODULES/M_SVSN
OLAG.C SRC/MODULES/M_STARTTLS.C /link /def:src/modules/module.def wircd.lib
     src/win32/tre.lib /OUT:src/modules/commands.dll
L_COMMANDS.C
M_CHGHOST.C
M_SDESC.C
M_SETIDENT.C
M_SETNAME.C
M_SETHOST.C
M_CHGIDENT.C
M_SVSMOTD.C
M_SVSNLINE.C
M_WHO.C
M_SWHOIS.C
M_SVSMODE.C
M_AWAY.C
M_SVSNOOP.C
M_MKPASSWD.C
M_SVSO.C
M_SVSNICK.C
M_ADMINCHAT.C
M_AKILL.C
M_CHGNAME.C
Generating Code...
Compiling...
M_GUEST.C
M_HTM.C
M_LAG.C
M_MESSAGE.C
WEBTV.C
M_NACHAT.C
M_OPER.C
M_PINGPONG.C
M_QUIT.C
M_RAKILL.C
M_RPING.C
M_SENDUMODE.C
M_SQLINE.C
M_KILL.C
M_TSCTL.C
M_UNKLINE.C
M_UNSQLINE.C
M_UNZLINE.C
M_WHOIS.C
M_TKL.C
Generating Code...
Compiling...
M_VHOST.C
M_CYCLE.C
M_SVSJOIN.C
M_SVSPART.C
M_SVSLUSERS.C
M_SVSWATCH.C
M_SVSSILENCE.C
M_SENDSNO.C
M_SVSSNO.C
M_SAJOIN.C
M_SAPART.C
M_SAMODE.C
M_KICK.C
M_TOPIC.C
M_INVITE.C
M_LIST.C
M_TIME.C
M_SVSKILL.C
M_KNOCK.C
M_UMODE2.C
Generating Code...
Compiling...
M_SQUIT.C
M_PROTOCTL.C
M_SJOIN.C
M_PASS.C
M_USERHOST.C
M_ISON.C
M_SILENCE.C
M_ADDLINE.C
M_ADDMOTD.C
M_ADDOMOTD.C
M_WALLOPS.C
M_GLOBOPS.C
M_LOCOPS.C
M_CHATOPS.C
M_ADMIN.C
M_TRACE.C
M_NETINFO.C
M_LINKS.C
M_HELP.C
M_RULES.C
Generating Code...
Compiling...
M_CLOSE.C
M_MAP.C
M_EOS.C
M_SERVER.C
M_STATS.C
M_SVSFLINE.C
M_DCCDENY.C
M_UNDCCDENY.C
M_WHOWAS.C
M_CONNECT.C
M_DCCALLOW.C
M_USERIP.C
M_NICK.C
M_USER.C
M_MODE.C
M_WATCH.C
M_PART.C
M_JOIN.C
M_MOTD.C
M_OPERMOTD.C
Generating Code...
Compiling...
M_BOTMOTD.C
M_LUSERS.C
M_NAMES.C
M_SVSNOLAG.C
M_STARTTLS.C
Generating Code...
   Creating library L_COMMANDS.lib and object L_COMMANDS.exp
L_COMMANDS.obj : error LNK2019: unresolved external symbol _m_nopost_Test refere
nced in function _Mod_Test
L_COMMANDS.obj : error LNK2019: unresolved external symbol _m_nopost_Init refere
nced in function _Mod_Init
L_COMMANDS.obj : error LNK2019: unresolved external symbol _m_nopost_Load refere
nced in function _Mod_Load
L_COMMANDS.obj : error LNK2019: unresolved external symbol _m_nopost_Unload refe
renced in function _Mod_Unload
src/modules/commands.dll : fatal error LNK1120: 4 unresolved externals
NMAKE : fatal error U1077: '"D:\Program Files (x86)\Microsoft Visual Studio 10.0
\VC\BIN\cl.EXE"' : return code '0x2'
Stop.

C:\Users\therock247uk\Desktop\Unr3.2-20100920\Unreal3.2>
TagsNo tags attached.
3rd party modules

Activities

therock247uk

2010-09-21 17:47

reporter   ~0016374

oops ment 2010 2008 does the same though.

ohnobinki

2010-09-21 17:57

reporter   ~0016375

See excerpt from doc/compiling_win32.txt:

``
== SYMBOL FILES ==
If you get something like this:

  Creating library L_COMMANDS.lib and object L_COMMANDS.exp
M_OPER.obj : error LNK2019: unresolved external symbol _sendto_snomask_global re
ferenced in function _m_oper

(note: the exact name of the symbol will vary)

Then you will have to rebuild the wircd.def symbol file. You do this by
downloading http://www.vulnscan.org/tmp/dlltool.exe and putting the file somewhere
in your path (eg: c:\winnt\system32).
Then, to compile you do this:
nmake -f makefile.win32 [your other options here]
nmake -f makefile.win32 SYMBOLFILE
nmake -f makefile.win32 [your other options here]
''

If that doesn't fix this compilation issue, then please reopen.

therock247uk

2010-09-28 18:32

reporter   ~0016382

i did the dllfix and got the same?

ps i always do the dllfix on cvs versions.

ohnobinki

2010-09-28 18:50

reporter   ~0016383

Oh, I have an idea of what's wrong: I didn't edit the win32 makefile to actually build m_nopost. I'll fix this hopefully today when I find time.

Thanks for rechecking.

ohnobinki

2010-10-01 00:51

reporter   ~0016384

- Add m_nopost to makefile.win32 in the hopes that it may work (0003961).

I haven't tested this on a Windows machine, so please reopen if this particular compilation problem isn't fixed.

therock247uk

2010-10-27 22:22

reporter   ~0016391

Need to add the following at the bottom of makefile.win32

src/modules/m_nopost.dll: src/modules/m_nopost.c $(INCLUDES)
        $(CC) $(MODCFLAGS) src/modules/m_nopost.c $(MODLFLAGS)

above

dummy:

or you get a compile error under windows saying...

NMAKE : fatal error U1073: don't know how to make 'SRC/MODULES/M_NOPOST.DLL'

ohnobinki

2010-10-27 22:33

reporter   ~0016392

Fixed yet again... hopefully ;-).

- And another m_nopost makefile.win32 fix.

Thanks again!

Issue History

Date Modified Username Field Change
2010-09-21 17:46 therock247uk New Issue
2010-09-21 17:47 therock247uk Note Added: 0016374
2010-09-21 17:57 ohnobinki QA => Not touched yet by developer
2010-09-21 17:57 ohnobinki U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-09-21 17:57 ohnobinki Note Added: 0016375
2010-09-21 17:57 ohnobinki Status new => closed
2010-09-21 17:57 ohnobinki Resolution open => no change required
2010-09-28 18:32 therock247uk Note Added: 0016382
2010-09-28 18:32 therock247uk Status closed => feedback
2010-09-28 18:32 therock247uk Resolution no change required => reopened
2010-09-28 18:50 ohnobinki Status feedback => assigned
2010-09-28 18:50 ohnobinki Assigned To => ohnobinki
2010-09-28 18:50 ohnobinki Note Added: 0016383
2010-10-01 00:51 ohnobinki Note Added: 0016384
2010-10-01 00:51 ohnobinki Status assigned => resolved
2010-10-01 00:51 ohnobinki Fixed in Version => 3.2.9-RC1
2010-10-01 00:51 ohnobinki Resolution reopened => fixed
2010-10-27 22:22 therock247uk Note Added: 0016391
2010-10-27 22:22 therock247uk Status resolved => feedback
2010-10-27 22:22 therock247uk Resolution fixed => reopened
2010-10-27 22:33 ohnobinki Note Added: 0016392
2010-10-27 22:34 ohnobinki Status feedback => resolved
2010-10-27 22:34 ohnobinki Resolution reopened => fixed